Skip to contentDevelopersPrezly website
Stories

List Stories

Find stories in a newsroom and page through the results.

Personal token scopes: stories:read. Your account must also have access to the requested data. Authentication

GET
/stories

Filtering

Use the search parameter for free-form, full-text search.

For complex criteria, the query parameter takes a JSON-formatted query object as described in Prezly Query Language, and the specific filters and operators in the Search Stories endpoint.

Example for the query parameter:

{  "$and": [    {      "published_at": {        "$ge": "2023-03-15T11:00:00.000Z"      }    },    {      "language": {        "$in": ["en", "de"]      }    }  ]}

Sorting

Supported sort-order:

  • id
  • title
  • status
  • subtitle
  • author
  • created_at
  • modified_at
  • published_at
  • scheduled_at

See Ordering Resullts for details.

Additional fields

It is possible to include additional story properties into the response via include query parameter.

Supported fields are:

  • content
  • thumbnail_image
  • header_image
  • preview_image
  • social_image
  • social_text
  • tag_names

Personal access tokens: stories:read. Every listed scope is required; the token owner's permissions, feature availability and newsroom access still apply.

Authorization

API_key
headerAuthorizationBearer <token>

Bearer authentication using an integration API key, or a personal access token only where the operation explicitly supports it. Every listed personal-token scope is required; owner permissions and newsroom access still apply.

Query Parameters

query?string

A JSON-formatted string of a Prezly Query Language object for filtering items

offset?integer

Number of records to skip (for pagination)

limit?integer

Number of records to fetch

Range1 <= value <= 1000
Default20
sort?string
Match[-+]?(\w+\.)*\w+
search?string

Keyword to use for full text search

include?string

Comma-separate list of additional optional fields to include.

Header Parameters

Accept?string

Use the content-format field to request a conversion

Matchapplication/json; [content-format=(v1|v3|v4|v5|v6)]
Default"application/json"

Response Body

OK

application/json
  1. response
stories*array<>
pagination*
sort*Sort Order

Sort order to return records in.

Match[+-]?(\w+\.)*\w+
Example Request
curl -X GET 'https://api.prezly.com/v2/stories'
Example Response200
{  "stories": [    {      "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",      "id": 0,      "thumbnail_url": "http://example.com",      "title": "string",      "subtitle": "string",      "intro": "string",      "culture": [        {          "code": "en",          "name": "string",          "direction": "ltr",          "language_code": "en",          "native_name": "string"        }      ],      "format_version": 1,      "slug": "string",      "language": "string",      "status": "uninitialized",      "lifecycle_status": "uninitialized",      "publication_status": "uninitialized",      "visibility": "private",      "is_archived": true,      "is_finalized": true,      "is_published": true,      "is_draft": true,      "is_embargo": true,      "is_private": true,      "is_scheduled": true,      "is_analytics_available": true,      "is_sharable": true,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "published_at": "2019-08-24T14:15:22Z",      "scheduled_at": "2019-08-24T14:15:22Z",      "author": {        "id": 0,        "email": "http://example.com",        "name": "string",        "display_name": "string",        "first_name": "string",        "last_name": "string",        "avatar_url": "http://example.com"      },      "newsroom": {        "id": 0,        "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",        "name": "string",        "display_name": "string",        "subdomain": "string",        "thumbnail_url": "http://example.com",        "timezone": "europe/london",        "is_active": true,        "is_archived": true,        "is_online": true,        "is_offline": true,        "is_multilingual": true,        "url": "http://example.com",        "links": {          "media_gallery_api": "http://example.com",          "room_contacts_api": "http://example.com",          "analytics_and_visibility_settings": "http://example.com",          "categories_management": "http://example.com",          "company_info_settings": "http://example.com",          "contacts_management": "http://example.com",          "domain_settings": "http://example.com",          "edit": "http://example.com",          "gallery_management": "http://example.com",          "hub_settings": "http://example.com",          "languages": "http://example.com",          "look_and_feel_settings": "http://example.com",          "manual_subscription_management": "http://example.com",          "privacy_settings": "http://example.com",          "widget_settings": "http://example.com"        }      },      "oembed": {        "url": "http://example.com",        "type": "video",        "version": "1.0",        "title": "string",        "description": "string",        "author_name": "string",        "author_url": "http://example.com",        "provider_name": "string",        "provider_url": "http://example.com",        "cache_age": 0,        "html": "string",        "thumbnail_url": "http://example.com",        "thumbnail_width": 1,        "thumbnail_height": 1,        "screenshot_url": "http://example.com"      },      "links": {        "api": "string",        "preview": "string",        "edit": "string",        "sharing": "string",        "duplicate": "string",        "translate": "string",        "analytics": "string",        "delete": "string",        "publication_api": "string",        "reports_api": "string",        "short": "string",        "newsroom_view": "http://example.com",        "newsroom_preview": "http://example.com"      },      "categories": [        {          "id": 0,          "display_name": "string",          "display_description": "string",          "i18n": {            "[a-z]{2,3}(_[A-Z][a-z]{3})?(_[A-Z]{2})?": {              "name": "string",              "description": "string",              "slug": "string",              "locale": {                "code": "en",                "name": "string",                "direction": "ltr",                "language_code": "en",                "native_name": "string"              }            }          },          "stories_number": 0        }      ],      "translations": [        {          "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",          "id": 0,          "thumbnail_url": "http://example.com",          "title": "string",          "culture": {            "code": "en",            "name": "string",            "direction": "ltr",            "language_code": "en",            "native_name": "string"          },          "language": "string",          "status": "uninitialized",          "lifecycle_status": "uninitialized",          "publication_status": "uninitialized",          "visibility": "public",          "created_at": "2019-08-24T14:15:22Z",          "updated_at": "2019-08-24T14:15:22Z",          "published_at": "2019-08-24T14:15:22Z",          "scheduled_at": "2019-08-24T14:15:22Z",          "author": {            "id": 0,            "email": "http://example.com",            "name": "string",            "display_name": "string",            "first_name": "string",            "last_name": "string",            "avatar_url": "http://example.com"          },          "newsroom": {            "id": 0,            "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",            "name": "string",            "display_name": "string",            "subdomain": "string",            "thumbnail_url": "http://example.com",            "timezone": "europe/london",            "is_active": true,            "is_archived": true,            "is_online": true,            "is_offline": true,            "is_multilingual": true,            "url": "http://example.com",            "links": {              "media_gallery_api": "http://example.com",              "room_contacts_api": "http://example.com",              "analytics_and_visibility_settings": "http://example.com",              "categories_management": "http://example.com",              "company_info_settings": "http://example.com",              "contacts_management": "http://example.com",              "domain_settings": "http://example.com",              "edit": "http://example.com",              "gallery_management": "http://example.com",              "hub_settings": "http://example.com",              "languages": "http://example.com",              "look_and_feel_settings": "http://example.com",              "manual_subscription_management": "http://example.com",              "privacy_settings": "http://example.com",              "widget_settings": "http://example.com"            }          },          "url": "http://example.com",          "oembed": {            "url": "http://example.com",            "type": "video",            "version": "1.0",            "title": "string",            "description": "string",            "author_name": "string",            "author_url": "http://example.com",            "provider_name": "string",            "provider_url": "http://example.com",            "cache_age": 0,            "html": "string",            "thumbnail_url": "http://example.com",            "thumbnail_width": 1,            "thumbnail_height": 1,            "screenshot_url": "http://example.com"          },          "slug": "string"        }      ],      "coverage_number": 0,      "images_number": 0,      "videos_number": 0,      "last_coverage_at": "2019-08-24T14:15:22Z",      "content_version": 0    }  ],  "pagination": {    "offset": 0,    "limit": 0,    "matched_records_number": 0,    "total_records_number": 0  },  "sort": "+display_name"}